'use strict';

var index = require('./index-Bc25FxCt.js');
var componentUsageRuntimeMetrics = require('./component-usage-runtime-metrics-CTEgPajK.js');
var component = require('./component-f6SRjQa4.js');

var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
        r = Reflect.decorate(decorators, target, key, desc);
    else
        for (var i = decorators.length - 1; i >= 0; i--)
            if (d = decorators[i])
                r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
const VegaHint = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.globalSlimmers = {};
        this.vegaComponentUsageRuntimeMetricsSlimmer = new componentUsageRuntimeMetrics.VegaComponentUsageRuntimeMetricsSlimmer();
    }
    render() {
        return component.sanitizeVegaComponent(index.h(index.Host, null, index.h("vega-box", { padding: { x: 'size-8', top: 'size-4' } }, index.h("vega-font", { variant: "font-footnote1-short", color: "text-secondary" }, index.h("slot", null)))), this.host);
    }
    get host() { return index.getElement(this); }
};
__decorate([
    componentUsageRuntimeMetrics.InjectVegaGlobalSlimmer()
], VegaHint.prototype, "globalSlimmers", void 0);
__decorate([
    index.InjectVegaSlimmer()
], VegaHint.prototype, "vegaComponentUsageRuntimeMetricsSlimmer", void 0);

exports.vega_hint = VegaHint;
